Imports Microsoft.VisualBasic
Imports System
Imports DevExpress.ExpressApp.Win.Editors
Imports DevExpress.ExpressApp.Model
Imports DevExpress.ExpressApp.Editors

<PropertyEditor(GetType([String]), False)> _
Public Class DashboardDesignerPropertyEditor
    Inherits WinPropertyEditor
    Public Sub New(ByVal objectType As Type, ByVal info As IModelMemberViewItem)
        MyBase.New(objectType, info)
        ControlBindingProperty = "DashboardDesignerInfo"
    End Sub
    Private DashboardDesignerUserControlCore As DashboardDesignerUserControl = Nothing
    Public ReadOnly Property DashboardDesignerUserControl() As DashboardDesignerUserControl
        Get
            Return DashboardDesignerUserControlCore
        End Get
    End Property
    Protected Overrides Function CreateControlCore() As Object
        DashboardDesignerUserControlCore = New DashboardDesignerUserControl()
        Return DashboardDesignerUserControlCore
    End Function
    Protected Overrides Sub OnAllowEditChanged()
        MyBase.OnAllowEditChanged()
    End Sub
End Class
